summaryrefslogtreecommitdiff
path: root/eclass/flag-o-matic.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-10-13 22:00:32 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-10-13 22:00:32 +0100
commitab499d7cfb9ad23e83cf7a4f5052bdf1b4c42030 (patch)
tree2fa77fd80cb0e85ab3e48e6a0558cd3a52ee04c3 /eclass/flag-o-matic.eclass
parent5a165c60b9b8c4847067cb83b4be7da785d01f93 (diff)
gentoo resync : 13.10.2019
Diffstat (limited to 'eclass/flag-o-matic.eclass')
-rw-r--r--eclass/flag-o-matic.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index 89b259cc222f..f882b09d6219 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -436,11 +436,13 @@ test-flag-PROG() {
[[ -z ${comp} || -z $1 ]] && return 1
# verify selected compiler exists before using it
- comp=$(tc-get${comp})
- type -p ${comp} >/dev/null || return 1
+ comp=($(tc-get${comp}))
+ # 'comp' can already contain compiler options.
+ # 'type' needs a binary name
+ type -p ${comp[0]} >/dev/null || return 1
local cmdline=(
- ${comp}
+ "${comp[@]}"
# Clang will warn about unknown gcc flags but exit 0.
# Need -Werror to force it to exit non-zero.
-Werror